Main Page Alphabetical List Compound List File List Compound Members File Members

# lineakconfig.h File Reference

`#include "parsecfg.h"`
`#include "support.h"`

Go to the source code of this file.

## Defines
#define | CONFFILE "/.lineak/lineakd.conf"
#define | BAKFILE "/.lineak/.lineakd.conf.backup"
#define | PIDFILE "/.lineak/lineakd.pid"
#define | DEFFILE "lineakkb.def"
#define | TRUE 1
#define | FALSE 0
#define | NOIMAGEXPM "noimage.xpm"
## Variables
char * | cfile = NULL
char * | dfile = NULL
char * | backupfile = NULL
char * | dummy_pixmap_xpm []
char * | DUMMY_STRING
cfgStruct | confdata []
int | nrkeyboards
char ** | longkbname
cfgList ** | keylist
int * | DUMMY_INT
cfgStruct | defdata []

## Define Documentation

#define BAKFILE "/.lineak/.lineakd.conf.backup"

#define CONFFILE "/.lineak/lineakd.conf"

#define DEFFILE "lineakkb.def"

#define FALSE 0

#define NOIMAGEXPM "noimage.xpm"

#define PIDFILE "/.lineak/lineakd.pid"

#define TRUE 1

## Variable Documentation

char * backupfile = NULL

char* cfile = NULL

cfgStruct confdata[]

cfgStruct defdata[]

char * dfile = NULL

int* DUMMY_INT

char* dummy_pixmap_xpm[]`[static]`

| Initial value:
     {

    "1 1 1 1",
    "  c None",

    " "
    }

char* DUMMY_STRING

cfgList** keylist

char** longkbname

int nrkeyboards